> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/references/sdk-event-handlers/set-post-invocation-handler.md).

# Set Did-Dismiss Handler

API reference for the Luciq did-dismiss handler. Run your own code on the UI thread right after the Luciq interface is dismissed.

Use this handler to run any code right after the Luciq view is dismissed.

This block is executed on the UI thread. Could be used for performing any UI changes after the SDK's UI has been dismissed.

For **iOS**:\
The `didDismissHandler` block has the following

* `LCQDismissType`: How the SDK was dismissed.
* `LCQReportCategory`: Type of report that has been sent. Will be set to `LCQReportCategoryBug` in case the SDK has been dismissed without selecting a report type, so you might need to check `issueState` before `LCQReportCategory`.

For **Android**:\
The `setOnDismissCallback` block has the following

* `DismissType`: How the SDK was dismissed.
* `ReportType`: The type of report that was sent. If the SDK was dismissed without selecting a report type, it will be set to bug, so you might need to check `issueState` before `reportType`.

For **React Native**:\
The `onSDKDismissedHandler` block has the following

* `dismissType`: How the SDK was dismissed.
* `reportType`: The type of report that was sent. If the SDK was dismissed without selecting a report type, it will be set to bug, so you might need to check `issueState` before `reportType`.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
BugReporting.didDismissHandler = { (dismissType, reportType) in
    someObject.setSomeState()
}
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
LCQBugReporting.didDismissHandler = ^(LCQDismissType dismissType, LCQReportType reportType) {
    [someObject setSomeState];
};
```

{% endtab %}

{% tab title="And - Java" %}

```java
BugReporting.setOnDismissCallback(new OnSdkDismissCallback() {
            @Override
            public void call(DismissType issueState, ReportType reportType) {
                
            }
        });
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
BugReporting.setOnDismissCallback { issueState, reportType -> }
```

{% endtab %}

{% tab title="RN" %}

```javascript
BugReporting.onSDKDismissedHandler(function (dismissType, reportType) {
    // Perform any UI changes after the SDK's UI has been dismissed.
});
```

{% endtab %}

{% tab title="Flutter" %}

```dart
BugReporting.setOnDismissCallback(Function function);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.luciq.ai/references/sdk-event-handlers/set-post-invocation-handler.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
